Description

Hello,
When generating a report based on SQL query that brings large resultset -all work as expected;
BUT when filling the WHERE clause of same SQL, attached error occurs File error: data may have been lost

Server: MSSQL, iReport and plugin engine 4.0.0.
If other versions than this can be used nowdays, advise please, as found out some unexpected behaving while ago

Any idea how to fix or similar experience?

Regards

History

#1 - 09/13/2012 02:34 PM - Andrei Costache
- Assignee set to Andrei Costache
Hi,

As | understand, you are using iReport 4.0.0 and plugin version 3.3, to generate an xIs report. Then you open it with Microsoft Excel, yes? What
version of Microsoft Excel are you using?

Regards,
Andrei

#2 - 09/13/2012 03:26 PM - Imre Tokai
Thank you for your response Andrei,

Version: 2003, SP3, part of Office Edition 2003
Work-flow is assumed properly

Any better, newer combination of plugin+iReport(+Excel)? Advise, please.
Any further idea?

Regards
#3 - 09/13/2012 03:32 PM - Andrei Costache
This could be a POl library issue (in relation to excel); but i am not 100% sure.

Could you please try with a Servoy 6.0.7 and 4.0b1 version of the jasperreports plugin (in this case you can use iReport 4.6.0 for report
creation/editing)?

Also, when you generate the report with the plugin, are there any errors in the log? (i suppose your workflow is: create a report in ireport and the
runReport on the report jrxml(?), then open the resulted xIs in ms excel)

Regards,
Andrei

#4 - 09/14/2012 12:58 PM - Imre Tokai
Thanks Andrei,
Set up dedicated playground according to your guidelines regarding tools versioning: found out that (complex) query brings empty resultset.

BUT why above warning is there? It prevents printing sections like Title, and brings nothing but an empty sheet.
So it's still there even when upgraded to new version.

No errors in servoy-admin

Note: compiled .jrxml with iReport 4.7.0

Regards
#5 - 09/14/2012 01:48 PM - Andrei Costache
Hi Imre,

Do you use a .jasper file to provide for the runReport call?
Could you use just a ".jrxml' or also a ".jasper file, but created/compiled using iReport 4.6.0.

If the problem still persists, please attach a small sample solution (with sample data if needed) and a report, that demonstrates the problem.

Regards,
Andrei

#6 - 11/27/2012 09:34 AM - Andrei Costache

- Status changed from New to Feedback

Hi Imre,

Please reopen/update case providing the requested feedback when possible.

Regards,
Andrei

#7 - 11/27/2012 04:03 PM - Imre Tokai
- File reportProperties.jpg added

Thanks Andrei,

In report properties When No Data set Blank Page, see attached please. Warning doesn't appear anymore with this setup.

Regards

#8 - 11/27/2012 05:01 PM - Andrei Costache
- Status changed from Feedback to Closed
- % Done changed from 0 to 100

Marking this as closed; the problem is eliminated using the workaround suggested by Imre.

Files
issueExcelJasper.jpg 60.4 KB 09/13/2012 Imre Tokai
reportProperties.jpg 16.4 KB 11/27/2012 Imre Tokai
